package com.ruoyi.feeagreement.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 费用协议类型对象 t_fee_agreement_type
 * 
 * @author dongyongwei
 * @date 2021-07-30
 */
public class TFeeAgreementType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long fId;

    /** 父ID */
    @Excel(name = "父ID")
    private Long fParentId;

    /** 费用协议类别名称 */
    @Excel(name = "费用协议类别名称")
    private String fName;

    /** 备注 */
    @Excel(name = "备注")
    private String fRemark;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long fCreateBy;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCreateTime;

    /** 更新人ID */
    @Excel(name = "更新人ID")
    private Long fUpdateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    /** 删除状态（0正常 1停用） */
    @Excel(name = "删除状态", readConverterExp = "0=正常,1=停用")
    private Integer fDelFlag;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfParentId(Long fParentId) 
    {
        this.fParentId = fParentId;
    }

    public Long getfParentId() 
    {
        return fParentId;
    }
    public void setfName(String fName) 
    {
        this.fName = fName;
    }

    public String getfName() 
    {
        return fName;
    }
    public void setfRemark(String fRemark) 
    {
        this.fRemark = fRemark;
    }

    public String getfRemark() 
    {
        return fRemark;
    }
    public void setfCreateBy(Long fCreateBy) 
    {
        this.fCreateBy = fCreateBy;
    }

    public Long getfCreateBy() 
    {
        return fCreateBy;
    }
    public void setfCreateTime(Date fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfUpdateBy(Long fUpdateBy) 
    {
        this.fUpdateBy = fUpdateBy;
    }

    public Long getfUpdateBy() 
    {
        return fUpdateBy;
    }
    public void setfUpdateTime(Date fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfDelFlag(Integer fDelFlag) 
    {
        this.fDelFlag = fDelFlag;
    }

    public Integer getfDelFlag() 
    {
        return fDelFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fParentId", getfParentId())
            .append("fName", getfName())
            .append("fRemark", getfRemark())
            .append("fCreateBy", getfCreateBy())
            .append("fCreateTime", getfCreateTime())
            .append("fUpdateBy", getfUpdateBy())
            .append("fUpdateTime", getfUpdateTime())
            .append("fDelFlag", getfDelFlag())
            .toString();
    }
}
